/*
Project     : LCD 16*2 TEST1
              charlcd_m128.c
Date        : 2007-04-03
Company     : AvrMall.com
Chip type   : ATmega128-16AU
Clock       : 16.000000 MHz
Comment     : ATmega128 Board V3.1 & M128K1 LCD 16*2 ǥϴ α׷ 

Used with AVRSTUDIO V4.12 (WINAVR) .
*/

#include <avr/io.h>
#include "am128_lcd.h"//ATmega128 V3.1 LCD headerfile
#include "am128_lcd.c"//ATmega128 V3.1 LCD Function
//#include "am_lcd.h"//M128 KIT V2.0 LCD headerfile
//#include "am_lcd.c"//M128 KIT V2.0 LCD Function

#define F_CPU 16000000UL // 16 MHz
//#include <util/delay.h>


int main(void)
{
	//ܺθ޸  --- LCD WR ,RD, A15, (ܺθ޸𸮷ó)------------
	//MCUCR bit 7 SRE: Writing SRE to one enables the External Memory Interface.
	//Interface.The pin functions AD7:0, A15:8, ALE, WR, and RD are activated as the alternate pin functions.
	MCUCR=0xc0;

	lcd_init();
	
	while(1)
	{
		Gotoxy(2,0);
		_lcd_str("M128 char lcd");
	
		Gotoxy(1,1);
		_lcd_str("www.avrmall.com"); 
			
		lcd_display_on();
		delay_ms(300);
		lcd_display_off();
		delay_ms(300);
		lcd_display_on();
		delay_ms(300);
	        	
		delay_ms(500);delay_ms(500);      
	        	
		lcd_right_shift();
		delay_ms(300);

		lcd_right_shift();
		delay_ms(300);

	        	
		lcd_left_shift();
		lcd_left_shift(); 
		lcd_left_shift();
		delay_ms(300);
	               	
		lcd_right_shift(); 

	}
}
